Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361234 - FATAL -- : Error caught: [ActionView::Template::Error] undefined method `aggregate_disk_capacity' for nil:NilClass
Summary: FATAL -- : Error caught: [ActionView::Template::Error] undefined method `aggr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.7.0
Assignee: Scott Seago
QA Contact: Omri Hochman
URL:
Whiteboard: openstack:c&u
Depends On:
Blocks: 1370200
TreeView+ depends on / blocked
 
Reported: 2016-07-28 14:57 UTC by Kevin Morey
Modified: 2018-07-25 16:47 UTC (History)
8 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1370200 (view as bug list)
Environment:
Last Closed: 2017-01-04 12:58:35 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0012 normal SHIPPED_LIVE CFME 5.7.0 bug fixes and enhancement update 2017-01-04 17:50:36 UTC

Description Kevin Morey 2016-07-28 14:57:06 UTC
Description of problem:
When navigating to OSP 8 provider then clicking on the availability zones relationship and clicking "nova" an error is thrown in the UI.

Version-Release number of selected component (if applicable):
5.6.0.13

How reproducible:
everytime

Steps to Reproduce:
1. Log into CF with OSP8 + director with a cloud and infra provider respectively
2. Navigate to the compute -> cloud -> providers -> OSP8 provider
3. In the relationships tab click on Availability Zones
4. Click on any of the availability zones


Actual results:
UI Error is shown

Expected results:
Expected to see availability zone details

Additional info:

production.log snippet:
[----] I, [2016-07-28T07:37:34.941340 #14126:d96f70]  INFO -- : Started GET "/ems_infra" for 127.0.0.1 at 2016-07-28 07:37:34 -0700
[----] I, [2016-07-28T07:37:34.942351 #14126:d96f70]  INFO -- : Processing by EmsInfraController#index as HTML
[----] I, [2016-07-28T07:37:34.953543 #14126:d96f70]  INFO -- : Redirected to https://10.9.60.143/ems_infra/show_list
[----] I, [2016-07-28T07:37:34.957052 #14126:d96f70]  INFO -- : Completed 302 Found in 15ms (ActiveRecord: 0.0ms)
[----] I, [2016-07-28T07:37:35.085381 #14126:d96f70]  INFO -- : Started GET "/ems_infra/show_list" for 127.0.0.1 at 2016-07-28 07:37:35 -0700
[----] I, [2016-07-28T07:37:35.086203 #14126:d96f70]  INFO -- : Processing by EmsInfraController#show_list as HTML
[----] I, [2016-07-28T07:37:35.127001 #14126:d96f70]  INFO -- :   Rendering ems_infra/show_list.html.haml within layouts/application
[----] I, [2016-07-28T07:37:35.127328 #14126:d96f70]  INFO -- :   Rendered layouts/_info_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.127490 #14126:d96f70]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.132080 #14126:d96f70]  INFO -- :   Rendered layouts/quadicon/_ext_management_system.html.haml (4.0ms)
[----] I, [2016-07-28T07:37:35.132602 #14126:d96f70]  INFO -- :   Rendered layouts/gtl/_grid.html.haml (5.0ms)
[----] I, [2016-07-28T07:37:35.132660 #14126:d96f70]  INFO -- :   Rendered layouts/_gtl.html.haml (5.5ms)
[----] I, [2016-07-28T07:37:35.132714 #14126:d96f70]  INFO -- :   Rendered ems_infra/show_list.html.haml within layouts/application (5.6ms)
[----] I, [2016-07-28T07:37:35.132893 #14126:d96f70]  INFO -- :   Rendered layouts/_doctype.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.133426 #14126:d96f70]  INFO -- :   Rendered stylesheets/_template50.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.134437 #14126:d96f70]  INFO -- :   Rendered layouts/_i18n_js.html.haml (0.6ms)
[----] I, [2016-07-28T07:37:35.138315 #14126:d96f70]  INFO -- :   Rendered layouts/_user_options.html.haml (1.6ms)
[----] I, [2016-07-28T07:37:35.138473 #14126:d96f70]  INFO -- :   Rendered layouts/_spinner.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.138614 #14126:d96f70]  INFO -- :   Rendered layouts/_lightbox_panel.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.138674 #14126:d96f70]  INFO -- :   Rendered layouts/_header.html.haml (4.0ms)
[----] I, [2016-07-28T07:37:35.148943 #14126:d96f70]  INFO -- :   Rendered layouts/_vertical_navbar.html.haml (10.1ms)
[----] I, [2016-07-28T07:37:35.157985 #14126:d96f70]  INFO -- :   Rendered layouts/_breadcrumbs.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.158147 #14126:d96f70]  INFO -- :   Rendered layouts/_tabs.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.158971 #14126:d96f70]  INFO -- :   Rendered layouts/_user_input_filter.html.haml (0.5ms)
[----] I, [2016-07-28T07:37:35.159037 #14126:d96f70]  INFO -- :   Rendered layouts/_quick_search.html.haml (0.7ms)
[----] I, [2016-07-28T07:37:35.159512 #14126:d96f70]  INFO -- :   Rendered layouts/_searchbar.html.haml (1.3ms)
[----] I, [2016-07-28T07:37:35.160886 #14126:d96f70]  INFO -- :   Rendered layouts/_pagingcontrols.html.haml (0.8ms)
[----] I, [2016-07-28T07:37:35.161198 #14126:d96f70]  INFO -- :   Rendered layouts/_info_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.161261 #14126:d96f70]  INFO -- :   Rendered layouts/listnav/_show_list.html.haml (0.2ms)
[----] I, [2016-07-28T07:37:35.161326 #14126:d96f70]  INFO -- :   Rendered layouts/_listnav.html.haml (0.3ms)
[----] I, [2016-07-28T07:37:35.161404 #14126:d96f70]  INFO -- :   Rendered layouts/_content.html.haml (22.6ms)
[----] I, [2016-07-28T07:37:35.162882 #14126:d96f70]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:35.165655 #14126:d96f70]  INFO -- :   Rendered layouts/exp_atom/_editor.html.haml (0.7ms)
[----] I, [2016-07-28T07:37:35.165724 #14126:d96f70]  INFO -- :   Rendered layouts/_exp_editor.html.haml (2.7ms)
[----] I, [2016-07-28T07:37:35.165789 #14126:d96f70]  INFO -- :   Rendered layouts/_adv_search_body.html.haml (4.1ms)
[----] I, [2016-07-28T07:37:35.166519 #14126:d96f70]  INFO -- :   Rendered layouts/_adv_search_footer.html.haml (0.6ms)
[----] I, [2016-07-28T07:37:35.166591 #14126:d96f70]  INFO -- :   Rendered layouts/_adv_search.html.haml (5.0ms)
[----] I, [2016-07-28T07:37:35.166656 #14126:d96f70]  INFO -- :   Rendered layouts/_footer.html.haml (5.1ms)
[----] I, [2016-07-28T07:37:35.171012 #14126:d96f70]  INFO -- : Completed 200 OK in 85ms (Views: 40.3ms | ActiveRecord: 0.0ms)
[----] I, [2016-07-28T07:37:37.619317 #14126:d96ca0]  INFO -- : Started POST "/dashboard/window_sizes?width=1920&height=951" for 127.0.0.1 at 2016-07-28 07:37:37 -0700
[----] I, [2016-07-28T07:37:37.620430 #14126:d96ca0]  INFO -- : Processing by DashboardController#window_sizes as JS
[----] I, [2016-07-28T07:37:37.620497 #14126:d96ca0]  INFO -- :   Parameters: {"width"=>"1920", "height"=>"951"}
[----] I, [2016-07-28T07:37:37.623853 #14126:d96ca0]  INFO -- : Completed 200 OK in 3ms (ActiveRecord: 0.0ms)
[----] I, [2016-07-28T07:37:38.002339 #14126:d968b8]  INFO -- : Started GET "/ems_infra/47000000000001" for 127.0.0.1 at 2016-07-28 07:37:38 -0700
[----] I, [2016-07-28T07:37:38.003297 #14126:d968b8]  INFO -- : Processing by EmsInfraController#show as HTML
[----] I, [2016-07-28T07:37:38.003359 #14126:d968b8]  INFO -- :   Parameters: {"id"=>"47000000000001"}
[----] I, [2016-07-28T07:37:38.022426 #14126:d968b8]  INFO -- :   Rendering ems_infra/show.html.haml within layouts/application
[----] I, [2016-07-28T07:37:38.022842 #14126:d968b8]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.036061 #14126:d968b8]  INFO -- :   Rendered shared/summary/_textual.html.haml (13.1ms)
[----] I, [2016-07-28T07:37:38.040475 #14126:d968b8]  INFO -- :   Rendered shared/summary/_textual_multivalue.html.haml (0.1ms)
[----] I, [2016-07-28T07:37:38.040575 #14126:d968b8]  INFO -- :   Rendered shared/summary/_textual.html.haml (2.8ms)
[----] I, [2016-07-28T07:37:38.056834 #14126:d968b8]  INFO -- :   Rendered shared/summary/_textual.html.haml (16.1ms)
[----] I, [2016-07-28T07:37:38.056998 #14126:d968b8]  INFO -- :   Rendered shared/summary/_textual.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.058195 #14126:d968b8]  INFO -- :   Rendered shared/summary/_textual_tags.html.haml (1.1ms)
[----] I, [2016-07-28T07:37:38.058260 #14126:d968b8]  INFO -- :   Rendered shared/views/ems_common/_main.html.haml (35.5ms)
[----] I, [2016-07-28T07:37:38.058308 #14126:d968b8]  INFO -- :   Rendered ems_infra/_main.html.haml (35.6ms)
[----] I, [2016-07-28T07:37:38.058353 #14126:d968b8]  INFO -- :   Rendered shared/views/ems_common/_show.html.haml (35.8ms)
[----] I, [2016-07-28T07:37:38.058403 #14126:d968b8]  INFO -- :   Rendered ems_infra/show.html.haml within layouts/application (35.9ms)
[----] I, [2016-07-28T07:37:38.058552 #14126:d968b8]  INFO -- :   Rendered layouts/_doctype.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.058947 #14126:d968b8]  INFO -- :   Rendered stylesheets/_template50.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.059915 #14126:d968b8]  INFO -- :   Rendered layouts/_i18n_js.html.haml (0.6ms)
[----] I, [2016-07-28T07:37:38.063718 #14126:d968b8]  INFO -- :   Rendered layouts/_user_options.html.haml (1.5ms)
[----] I, [2016-07-28T07:37:38.063886 #14126:d968b8]  INFO -- :   Rendered layouts/_spinner.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.064020 #14126:d968b8]  INFO -- :   Rendered layouts/_lightbox_panel.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.064078 #14126:d968b8]  INFO -- :   Rendered layouts/_header.html.haml (4.0ms)
[----] I, [2016-07-28T07:37:38.074428 #14126:d968b8]  INFO -- :   Rendered layouts/_vertical_navbar.html.haml (10.2ms)
[----] I, [2016-07-28T07:37:38.280233 #14126:d968b8]  INFO -- :   Rendered layouts/_breadcrumbs.html.haml (0.1ms)
[----] I, [2016-07-28T07:37:38.280433 #14126:d968b8]  INFO -- :   Rendered layouts/_tabs.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.280577 #14126:d968b8]  INFO -- :   Rendered layouts/_searchbar.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.280727 #14126:d968b8]  INFO -- :   Rendered layouts/_pagingcontrols.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.288618 #14126:d968b8]  INFO -- :   Rendered layouts/quadicon/_ext_management_system.html.haml (3.5ms)
[----] I, [2016-07-28T07:37:38.302068 #14126:d968b8]  INFO -- :   Rendered layouts/listnav/_ems_infra.html.haml (21.1ms)
[----] I, [2016-07-28T07:37:38.302139 #14126:d968b8]  INFO -- :   Rendered layouts/_listnav.html.haml (21.3ms)
[----] I, [2016-07-28T07:37:38.302218 #14126:d968b8]  INFO -- :   Rendered layouts/_content.html.haml (238.0ms)
[----] I, [2016-07-28T07:37:38.302419 #14126:d968b8]  INFO -- :   Rendered layouts/_adv_search.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:38.302491 #14126:d968b8]  INFO -- :   Rendered layouts/_footer.html.haml (0.2ms)
[----] I, [2016-07-28T07:37:38.306522 #14126:d968b8]  INFO -- : Completed 200 OK in 303ms (Views: 280.6ms | ActiveRecord: 0.0ms)
[----] I, [2016-07-28T07:37:40.228870 #14126:d96520]  INFO -- : Started POST "/dashboard/window_sizes?width=1920&height=951" for 127.0.0.1 at 2016-07-28 07:37:40 -0700
[----] I, [2016-07-28T07:37:40.229980 #14126:d96520]  INFO -- : Processing by DashboardController#window_sizes as JS
[----] I, [2016-07-28T07:37:40.230027 #14126:d96520]  INFO -- :   Parameters: {"width"=>"1920", "height"=>"951"}
[----] I, [2016-07-28T07:37:40.233301 #14126:d96520]  INFO -- : Completed 200 OK in 3ms (ActiveRecord: 0.0ms)
[----] I, [2016-07-28T07:37:45.799709 #14126:d96188]  INFO -- : Started GET "/ems_infra/47000000000001?display=availability_zones" for 127.0.0.1 at 2016-07-28 07:37:45 -0700
[----] I, [2016-07-28T07:37:45.800707 #14126:d96188]  INFO -- : Processing by EmsInfraController#show as HTML
[----] I, [2016-07-28T07:37:45.800790 #14126:d96188]  INFO -- :   Parameters: {"display"=>"availability_zones", "id"=>"47000000000001"}
[----] I, [2016-07-28T07:37:45.859712 #14126:d96188]  INFO -- :   Rendering ems_infra/show.html.haml within layouts/application
[----] I, [2016-07-28T07:37:45.860142 #14126:d96188]  INFO -- :   Rendered layouts/_info_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.860317 #14126:d96188]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.862010 #14126:d96188]  INFO -- :   Rendered layouts/_list_grid.html.haml (1.1ms)
[----] I, [2016-07-28T07:37:45.862091 #14126:d96188]  INFO -- :   Rendered layouts/gtl/_list.html.haml (1.7ms)
[----] I, [2016-07-28T07:37:45.862145 #14126:d96188]  INFO -- :   Rendered layouts/_gtl.html.haml (2.1ms)
[----] I, [2016-07-28T07:37:45.862196 #14126:d96188]  INFO -- :   Rendered shared/views/ems_common/_show.html.haml (2.3ms)
[----] I, [2016-07-28T07:37:45.862254 #14126:d96188]  INFO -- :   Rendered ems_infra/show.html.haml within layouts/application (2.4ms)
[----] I, [2016-07-28T07:37:45.862400 #14126:d96188]  INFO -- :   Rendered layouts/_doctype.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.862857 #14126:d96188]  INFO -- :   Rendered stylesheets/_template50.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.864013 #14126:d96188]  INFO -- :   Rendered layouts/_i18n_js.html.haml (0.8ms)
[----] I, [2016-07-28T07:37:45.868163 #14126:d96188]  INFO -- :   Rendered layouts/_user_options.html.haml (1.8ms)
[----] I, [2016-07-28T07:37:45.868309 #14126:d96188]  INFO -- :   Rendered layouts/_spinner.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.868440 #14126:d96188]  INFO -- :   Rendered layouts/_lightbox_panel.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.868498 #14126:d96188]  INFO -- :   Rendered layouts/_header.html.haml (4.3ms)
[----] I, [2016-07-28T07:37:45.879271 #14126:d96188]  INFO -- :   Rendered layouts/_vertical_navbar.html.haml (10.6ms)
[----] I, [2016-07-28T07:37:45.882553 #14126:d96188]  INFO -- :   Rendered layouts/_breadcrumbs.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.882717 #14126:d96188]  INFO -- :   Rendered layouts/_tabs.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.882858 #14126:d96188]  INFO -- :   Rendered layouts/_searchbar.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.883540 #14126:d96188]  INFO -- :   Rendered layouts/_pagingcontrols.html.haml (0.5ms)
[----] I, [2016-07-28T07:37:45.892572 #14126:d96188]  INFO -- :   Rendered layouts/quadicon/_ext_management_system.html.haml (4.8ms)
[----] I, [2016-07-28T07:37:45.910639 #14126:d96188]  INFO -- :   Rendered layouts/listnav/_ems_infra.html.haml (26.9ms)
[----] I, [2016-07-28T07:37:45.910711 #14126:d96188]  INFO -- :   Rendered layouts/_listnav.html.haml (27.0ms)
[----] I, [2016-07-28T07:37:45.910869 #14126:d96188]  INFO -- :   Rendered layouts/_content.html.haml (42.2ms)
[----] I, [2016-07-28T07:37:45.911090 #14126:d96188]  INFO -- :   Rendered layouts/_adv_search.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:45.911163 #14126:d96188]  INFO -- :   Rendered layouts/_footer.html.haml (0.2ms)
[----] I, [2016-07-28T07:37:45.915772 #14126:d96188]  INFO -- : Completed 200 OK in 115ms (Views: 52.1ms | ActiveRecord: 0.0ms)
[----] I, [2016-07-28T07:37:47.500742 #14126:d96f70]  INFO -- : Started GET "/availability_zone/show/47r2" for 127.0.0.1 at 2016-07-28 07:37:47 -0700
[----] I, [2016-07-28T07:37:47.502089 #14126:d96f70]  INFO -- : Processing by AvailabilityZoneController#show as HTML
[----] I, [2016-07-28T07:37:47.502193 #14126:d96f70]  INFO -- :   Parameters: {"id"=>"47r2"}
[----] I, [2016-07-28T07:37:47.526418 #14126:d96f70]  INFO -- :   Rendering availability_zone/show.html.haml within layouts/application
[----] I, [2016-07-28T07:37:47.526939 #14126:d96f70]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:47.536467 #14126:d96f70]  INFO -- :   Rendered shared/summary/_textual.html.haml (9.3ms)
[----] I, [2016-07-28T07:37:47.541918 #14126:d96f70]  INFO -- :   Rendered shared/summary/_textual.html.haml (5.3ms)
[----] I, [2016-07-28T07:37:47.542017 #14126:d96f70]  INFO -- :   Rendered availability_zone/_main.html.haml (15.2ms)
[----] I, [2016-07-28T07:37:47.542099 #14126:d96f70]  INFO -- :   Rendered availability_zone/show.html.haml within layouts/application (15.6ms)
[----] F, [2016-07-28T07:37:47.542296 #14126:d96f70] FATAL -- : Error caught: [ActionView::Template::Error] undefined method `aggregate_disk_capacity' for nil:NilClass
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/availability_zone.rb:9:in `block_storage_disk_capacity'
/var/www/miq/vmdb/app/helpers/availability_zone_helper/textual_summary.rb:50:in `textual_block_storage_disk_capacity'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:16:in `expand_textual_summary'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:39:in `block in expand_textual_group'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:39:in `map'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:39:in `expand_textual_group'
/var/www/miq/vmdb/app/views/shared/summary/_textual.html.haml:1:in `_app_views_shared_summary__textual_html_haml__3723195947992363866_159396580'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/availability_zone/_main.html.haml:6:in `_app_views_availability_zone__main_html_haml___3251108322620034565_141253340'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/availability_zone/show.html.haml:18:in `_app_views_availability_zone_show_html_haml___4108314689560278461_128449660'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/template_renderer.rb:54:in `block (2 levels) in render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/template_renderer.rb:53:in `block in render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/template_renderer.rb:61:in `render_with_layout'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/template_renderer.rb:52:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/template_renderer.rb:14:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/renderer.rb:42:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/renderer/renderer.rb:23:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/rendering.rb:103:in `_render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/rendering.rb:52:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/renderers.rb:144:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/abstract_controller/rendering.rb:26:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/rendering.rb:36:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activerecord/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/instrumentation.rb:43:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/implicit_render.rb:36:in `default_render'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `block in send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/abstract_controller/base.rb:188:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc2/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:186:in `call!'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:164:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/builder.rb:63:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/conditional_get.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc2/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc2/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.1/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-3d9d4f56c1ee/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc2/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
[----] I, [2016-07-28T07:37:47.543036 #14126:d96f70]  INFO -- :   Rendering layouts/exception.html.haml within layouts/application
[----] I, [2016-07-28T07:37:47.543331 #14126:d96f70]  INFO -- :   Rendered layouts/_exception_contents.html.haml (0.1ms)
[----] I, [2016-07-28T07:37:47.543420 #14126:d96f70]  INFO -- :   Rendered layouts/exception.html.haml within layouts/application (0.3ms)
[----] I, [2016-07-28T07:37:47.543637 #14126:d96f70]  INFO -- :   Rendered layouts/_doctype.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:47.544293 #14126:d96f70]  INFO -- :   Rendered stylesheets/_template50.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:47.545486 #14126:d96f70]  INFO -- :   Rendered layouts/_i18n_js.html.haml (0.7ms)
[----] I, [2016-07-28T07:37:47.550280 #14126:d96f70]  INFO -- :   Rendered layouts/_user_options.html.haml (2.2ms)
[----] I, [2016-07-28T07:37:47.550555 #14126:d96f70]  INFO -- :   Rendered layouts/_spinner.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:47.550726 #14126:d96f70]  INFO -- :   Rendered layouts/_lightbox_panel.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:47.550827 #14126:d96f70]  INFO -- :   Rendered layouts/_header.html.haml (5.1ms)
[----] I, [2016-07-28T07:37:47.563625 #14126:d96f70]  INFO -- :   Rendered layouts/_vertical_navbar.html.haml (12.5ms)
[----] I, [2016-07-28T07:37:47.563914 #14126:d96f70]  INFO -- :   Rendered layouts/_breadcrumbs.html.haml (0.1ms)
[----] I, [2016-07-28T07:37:47.564059 #14126:d96f70]  INFO -- :   Rendered layouts/_content.html.haml (13.1ms)
[----] I, [2016-07-28T07:37:47.564288 #14126:d96f70]  INFO -- :   Rendered layouts/_adv_search.html.haml (0.0ms)
[----] I, [2016-07-28T07:37:47.564372 #14126:d96f70]  INFO -- :   Rendered layouts/_footer.html.haml (0.2ms)
[----] I, [2016-07-28T07:37:47.564616 #14126:d96f70]  INFO -- : Completed 500 Internal Server Error in 62ms (Views: 21.8ms | ActiveRecord: 0.0ms)
[----] I, [2016-07-28T07:37:49.637877 #14126:d96ca0]  INFO -- : Started POST "/dashboard/window_sizes?width=1920&height=951" for 127.0.0.1 at 2016-07-28 07:37:49 -0700
[----] I, [2016-07-28T07:37:49.639057 #14126:d96ca0]  INFO -- : Processing by DashboardController#window_sizes as JS
[----] I, [2016-07-28T07:37:49.639105 #14126:d96ca0]  INFO -- :   Parameters: {"width"=>"1920", "height"=>"951"}
[----] I, [2016-07-28T07:37:49.644324 #14126:d96ca0]  INFO -- : Completed 200 OK in 5ms (ActiveRecord: 0.0ms)

Comment 2 Tzu-Mainn Chen 2016-08-22 17:18:41 UTC
It looks like this was fixed by Scott Seago with https://github.com/ManageIQ/manageiq/pull/9727, which was already backported.

Comment 4 Ronnie Rasouli 2016-10-13 09:50:41 UTC
verified on 5.7.0.4

Comment 6 errata-xmlrpc 2017-01-04 12:58:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0012.html


Note You need to log in before you can comment on or make changes to this bug.